$ ===========================================================================
$ [...\ENDLG\INCLUDE\ENPCOPY.INC]
$ e-norm-Dialog         : Include-Datei zum Auslesen der normCAD Objektparameter
$ ---------------------------------------------------------------------------
$ Autor                 : P. Locarek, P. Locarek SOFTWARETECHNIK
$ Copyright             : P. Locarek SOFTWARETECHNIK
$ Datum der Erstellung  :
$ letzte nderung       :
$ Rev.:                 : 9.000
$ ===========================================================================


ATTRIBUTES = PARENTHESIS
if varexist('EN.Pcopy.Pop')
   {
   TMP.ANZ = 0
   $ Alle Parameter des Objekts einlesen
   GetVarResult=obj.get.atts(EN.PCopy.Pop; 'TMP')

   if ((GetVarResult = 1) and (TMP.ANZ > 0))
      {

      =obj(EN.PCopy.POP; '/MARKIERE')

      for I = 0 to TMP.ANZ-1
         {
         V_Name   = TMP[I].Name
         V_Typ    = TMP[I].Typ

         $ Alle Variablen des Objekts in Dialogvariablen umwandeln...
         if (strstart(V_Name; 'OBJPAR..'))
            {
            V_Name = strasn(V_Name; 9; strlen(V_Name))
            switch V_Typ
               {
               case 'T'    $ Text
                  {
                  ior=varset(V_Name; V_Typ; TMP[I].Value)
                  }
               case 'Z'    $ Real
                  {
                  ior=varset(V_Name; V_Typ; txt(TMP[I].Value))
                  }
               case 'I'    $ Integer
                  {
                  ior=varset(V_Name; V_Typ; txt(TMP[I].Value))
                  }
               case 'B'    $ Boolean
                  {
                  ior=varset(V_Name; V_Typ; txt(TMP[I].Value))
                  }
               case 'P'    $ 2D-Koordinate
                  {
                  ior=varset(V_Name; V_Typ; txt(TMP[I].Value))
                  }
               }
            }
         }

$      $ Kleine Warteschleife zum Beobachten, von welchem Objekt
$      $ die Daten eingelesen werden
$      for K = 1 to 1000
$         K = K + 1
      =obj(EN.PCopy.POP; '/REMARKIERE')
      }


   $ temporre Variablen lschen
   =vardelete('TMP*')
   }
