$ ===========================================================================
$ [@:ENDLG\INCLUDE\ENVERS.INC]
$ e-norm-Dialog         : Include-Datei zum Prfen, ob die aktuelle e-norm
$                         Version auf dieser Anlage laufen darf.
$ ---------------------------------------------------------------------------
$ Autor                 : P. Locarek, P. Locarek SOFTWARETECHNIK
$ Copyright             : P. Locarek SOFTWARETECHNIK
$ Datum der Erstellung  :
$ letzte nderung       :
$ ===========================================================================


$ ***************************************************************************
ATTRIBUTES = PARENTHESIS
version  = '11'                  $ aktuelle e-norm Version // 11.0
                                 $ Hier mu die aktuelle Major-Release-Number ein-
                                 $ getragen werden!!!!!

CheckStr = '778HP4SHI8ZZH5B86'   $ Checkstring muss mit 'CheckStr1'
                                 $ in @:ENDLG\ENCHKOBJ.DLG
                                 $ bereinstimmen

debug    = 0                     $ Debug Meldungen anzeigen

$ ***************************************************************************


pname    = 'ENSCHUTZ.DLL'        $ Name der Suchdatei, um phys. Pfad festzustellen
fpath    = ''                    $ evtl. zustzlicher Pfad
ppath    = ''                    $ Pfadnamen ohne Dateiangabe

RETVAL   = ''                    $ Rckgabewert der Funktion
serno    = ''                    $ Logocad Seriennummer

VEROK    = 1                     $ OK-Status
VCHECK   = 1                     $ Versionscheck

$ ***************************************************************************

$ neu in TRIGA 4
EN.LIZNUM = getserialnumber()
EN.LIZTYP = getsystem()



$ ###########################################################################################
$ z.Zt. auch Demo/Schuldongles prfen.
$ Wenn diese Lizenzen frei sein sollen, die nchste Zeile
$ auskommentieren !!!
EN.LIZTYP = 0						   $ Lizenztyp    0 = Lizenz prfen
									      $              1 = Demo- oder Schullizenz
									      $				   werden nicht geprft
$ ###########################################################################################


if not varexist('EN.LIZNUM')     $ wahrscheinlich konnte getserialnumber() nicht richtig
   {                             $ initialisiert werden
   EN.LIZNUM = 'error'
   VEROK = 0
   }

if not varexist('EN.LIZTYP')     $ wahrscheinlich konnte getsystem() nicht
   {                             $ initialisiert werden
   VEROK = 0
   }

serno = EN.LIZNUM

if VEROK
   {

   if (0)                        $ es wird gar nichts mehr geprft Version 11 ist frei
$   if (EN.LIZTYP = 0)            $ Lizenztyp    0 = Lizenz prfen
                                 $              1 = Demo- oder Schullizenz
      {
      $ Dateinamen fr Suchdatei zusammenbauen...

      if (fpath <> '')
         {
         if (strchar(fpath;strlen(fpath)) <> '\')
            {
            fpath = fpath+'\'
            }
         }

      $ physikalischen Dateinamen feststellen...
      ppath=drwmgr('GETPHYSNAME'; fpath+pname)

      $ und daraus den Pfad extrahieren (alles in UpperCase)...
      pname=strtoupchar(pname)

      $ Position des Dateinamen im Pfad feststellen, und String kopieren...
      ppath=strasn(ppath;1;strpos(ppath;pname)-1)

      $ ... evtl. am Ende des Pfades vorhandenes '\' abschneiden...
      if (strchar(ppath;strlen(ppath)) = '\')
         {
         ppath=strasn(ppath;1;strlen(ppath)-1)
         }

      $ DLL aufrufen...

      RETVAL=dllcall('enschutz'; 'enschutz'; serno; version; ppath)

      else
         {

         RETVAL = 'SN:'+serno
         }
      }
   }

$ #####################################################


if not VEROK
   {
   RETVAL = '@Error@'
   else
   }

